## lximage-qt 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lximage-qt)

include(GNUInstallDirs)

set(MAJOR_VERSION 1)
set(MINOR_VERSION 2)
set(PATCH_VERSION 0)
set(LXIMAGE_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})

set(LXQTBT_MINIMUM_VERSION "0.12.0")
set(LIBFMQT_MINIMUM_VERSION "1.2.0")
set(QT_MINIMUM_VERSION "5.15.0")


set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Network ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5PrintSupport ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Svg ${QT_MINIMUM_VERSION} REQUIRED)
find_package(fm-qt ${LIBFMQT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
find_package(Exif REQUIRED)
message(STATUS "Building with Qt ${Qt5Core_VERSION}")

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

# TODO: make the X11 stuff optional.
# for screenshot support
find_package(X11 REQUIRED)

find_package(PkgConfig REQUIRED)
# Xfixes is needed to capture the mouse cursor image
pkg_check_modules(XFIXES REQUIRED xfixes)

# add src subdirectory
add_subdirectory(src)

# install icon and metainfo for the application
install(FILES data/lximage-qt.png
    DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/48x48/apps")
install(FILES data/lximage-qt.metainfo.xml
    DESTINATION "${CMAKE_INSTALL_DATADIR}/metainfo")

=== src/CMakeLists.txt ===
include_directories(
    ${X11_INCLUDE_DIR}
    ${XFIXES_INCLUDE_DIRS}
)

# For some unknown reasons these are required for build on FreeBSD
link_directories(
    ${QT_LIBRARY_DIR}
    ${GLIB_LIBRARY_DIRS}
)

set(lximage-qt_SRCS
    lximage-qt.cpp
    mainwindow.cpp
    preferencesdialog.cpp
    application.cpp
    imageview.cpp
    modelfilter.cpp
    loadimagejob.cpp
    saveimagejob.cpp
    resizeimagedialog.cpp
    screenshotdialog.cpp
    screenshotselectarea.cpp
    screenshotselectareagraphicsview.cpp
    settings.cpp
    graphicsscene.cpp
    mrumenu.cpp
    statusbar.cpp

    upload/imageshackprovider.cpp
    upload/imageshackupload.cpp
    upload/imgbbprovider.cpp
    upload/imgbbupload.cpp
    upload/imgurprovider.cpp
    upload/imgurupload.cpp
    upload/provider.cpp
    upload/upload.cpp
    upload/uploaddialog.cpp

    resource.qrc
)

qt5_add_dbus_adaptor(lximage-qt_DBUS_SRCS
    org.lxqt.LxImage.Application.xml
    application.h
    LxImage::Application
    applicationadaptor
    ApplicationAdaptor
)
set_property(SOURCE ${lximage-qt_DBUS_SRCS} PROPERTY SKIP_AUTOGEN ON)
list(APPEND lximage-qt_SRCS "${lximage-qt_DBUS_SRCS}")

set(lximage-qt_UIS
    mainwindow.ui
    preferencesdialog.ui
    resizeimagedialog.ui
    screenshotdialog.ui
    shortcuts.ui

    upload/uploaddialog.ui
)

# add translation for lximage-qt
include(LXQtTranslateTs)
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lximage-qt_SRCS}
        ${lximage-qt_UIS}
    INSTALL_DIR
        "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations"
)

# prevent the generated files from being deleted during make clean
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM true)

# process desktop entry files
include(LXQtTranslateDesktop)

file(GLOB desktop_files_in ../data/*.desktop.in)
lxqt_translate_desktop(desktop_files SOURCES ${desktop_files_in} USE_YAML)
install(FILES ${desktop_files} DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications")

add_executable(lximage-qt
    ${lximage-qt_SRCS}
    ${lximage-qt_UIS}
    ${desktop_files}
    ${QM_FILES}
)

add_definitions(
    -DLXIMAGE_DATA_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/lximage-qt"
    -DLXIMAGE_VERSION="${LXIMAGE_VERSION}"
)

set(QT_LIBRARIES Qt5::Widgets Qt5::Network Qt5::Core Qt5::DBus Qt5::PrintSupport Qt5::X11Extras Qt5::Svg)

target_link_libraries(lximage-qt
    fm-qt
    ${QT_LIBRARIES}
    ${EXIF_LIBRARIES}
    ${X11_LIBRARIES}
    ${XFIXES_LDFLAGS}
)

install(TARGETS lximage-qt RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")

=== debian/changelog ===
lximage-qt (1.2.0-2ubuntu1) lunar; urgency=medium

  * Revert a sync from Debian.
  * Bumped build dependencies.
  * Added 'Rules-Requires-Root: no' to debian/control.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Overhauled copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 10 Feb 2023 14:19:56 -0600

lximage-qt (1.2.0-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against libfm-qt 1.2.1.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 27 Jan 2023 15:46:45 -0600

lximage-qt (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build dependencies in debian/control.
  * Remove reverse-applicable patch.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Nov 2022 17:52:27 -0600

lximage-qt (1.1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + lximage-qt-l10n: Drop versioned constraint on lximage-qt in Replaces.
    + lximage-qt-l10n: Drop versioned constraint on lximage-qt in Breaks.

  [ Andrew Lee (李健秋) ]
  * debian/changelog: clean triming whitespaces.
  * debian/control: Bumped Standards-Version to 4.6.1, no changes needed.
  * Reorganize changes from experimental:
    * debian/copyright: update. fetched from experimental branch.
    * debian/lintian-overrides: fix overrides for no-manual-page.
    * Upstreamed patches directory
    * Upstreamd signing key
    * debian/lximage-qt.install: ship lximage-qt.metainfo.xml.
  * debian/lximage-qt.install: sort shipped files.
  * debian/rules: Remove unnecessary -Wl,--as-needed.
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/upstream/metadata: Change Repository-Browser field to
    Repository-Browse.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 28 Oct 2022 14:40:53 +0800

lximage-qt (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Bumped Standards-Version to 4.6.0, no changes needed
  * Update debian/copyright

 -- S. 7 <severusseptimius7@gmail.com>  Thu, 25 Nov 2021 18:19:55 +0200

=== debian/control ===
Source: lximage-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libexif-dev,
               libfm-qt-dev (>= 1.2.1),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxfixes-dev,
               lxqt-build-tools (>= 0.12.0),
Standards-Version: 4.6.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-about-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-about-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-about.git
Homepage: https://github.com/lxqt/lximage-qt
Rules-Requires-Root: no

Package: lximage-qt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lximage-qt-l10n,
            qt5-image-formats-plugins
Description: Image viewer for LXQt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt5-image-formats-plugins.
 .
 This package contain the program files.

Package: lximage-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language-package for lximage-qt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt5-image-formats-plugins.
 .
 This package contains the l10n files needed by the lximage-qt.

## lximage-qt 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,12 @@
 include(GNUInstallDirs)
 
 set(MAJOR_VERSION 1)
-set(MINOR_VERSION 2)
+set(MINOR_VERSION 3)
 set(PATCH_VERSION 0)
 set(LXIMAGE_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 
-set(LXQTBT_MINIMUM_VERSION "0.12.0")
-set(LIBFMQT_MINIMUM_VERSION "1.2.0")
+set(LXQTBT_MINIMUM_VERSION "0.13.0")
+set(LIBFMQT_MINIMUM_VERSION "1.3.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 
@@ -51,7 +51,7 @@
 add_subdirectory(src)
 
 # install icon and metainfo for the application
-install(FILES data/lximage-qt.png
+install(FILES data/lximage-qt.svg
     DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/48x48/apps")
 install(FILES data/lximage-qt.metainfo.xml
     DESTINATION "${CMAKE_INSTALL_DATADIR}/metainfo")

=== debian/changelog ===
lximage-qt (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 09:48:31 -0500

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libexif-dev,
-               libfm-qt-dev (>= 1.2.1),
+               libfm-qt-dev (>= 1.3.0),
                libkf5windowsystem-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                libxfixes-dev,
-               lxqt-build-tools (>= 0.12.0),
+               lxqt-build-tools (>= 0.13.0),
 Standards-Version: 4.6.2
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-about-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-about-packaging.git

## lximage-qt 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,12 @@
 include(GNUInstallDirs)
 
 set(MAJOR_VERSION 1)
-set(MINOR_VERSION 3)
+set(MINOR_VERSION 4)
 set(PATCH_VERSION 0)
 set(LXIMAGE_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 
 set(LXQTBT_MINIMUM_VERSION "0.13.0")
-set(LIBFMQT_MINIMUM_VERSION "1.3.0")
+set(LIBFMQT_MINIMUM_VERSION "1.4.0")
 set(QT_MINIMUM_VERSION "5.15.0")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,8 +27,6 @@
     mrumenu.cpp
     statusbar.cpp
 
-    upload/imageshackprovider.cpp
-    upload/imageshackupload.cpp
     upload/imgbbprovider.cpp
     upload/imgbbupload.cpp
     upload/imgurprovider.cpp

=== debian/changelog ===
lximage-qt (1.4.0-0ubuntu6) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64, libqt5printsupport5t64,
    libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:44:58 +0200

lximage-qt (1.4.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:13:42 +0000

lximage-qt (1.4.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:47:44 +0000

lximage-qt (1.4.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:09:28 +0000

lximage-qt (1.4.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:37:45 +0000

lximage-qt (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Updated copyright file.
  * Bumped build dependency versions.
  * Ran wrap-and-sort.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 12 Nov 2023 17:36:16 -0600

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libexif-dev,
-               libfm-qt-dev (>= 1.3.0),
+               libfm-qt-dev (>= 1.4.0),
                libkf5windowsystem-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                libxfixes-dev,
-               lxqt-build-tools (>= 0.13.0),
+               lxqt-build-tools (>= 0.13.0)
 Standards-Version: 4.6.2
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-about-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-about-packaging.git
@@ -25,10 +25,8 @@
 
 Package: lximage-qt
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: lximage-qt-l10n,
-            qt5-image-formats-plugins
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: lximage-qt-l10n, qt5-image-formats-plugins
 Description: Image viewer for LXQt
  A simple image viewer for LXQt. Additional file formats can be processed if
  one install qt5-image-formats-plugins.
@@ -39,8 +37,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: ${misc:Depends},
-         qttranslations5-l10n
+Depends: qttranslations5-l10n, ${misc:Depends}
 Description: Language-package for lximage-qt
  A simple image viewer for LXQt. Additional file formats can be processed if
  one install qt5-image-formats-plugins.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## lximage-qt 2.0.1

=== debian/changelog ===
lximage-qt (2.0.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:51:12 -0500

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libexif-dev,
-               libfm-qt-dev (>= 1.4.0),
-               libkf5windowsystem-dev,
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
+               libfm-qt6-dev (>= 2.0.0),
+               libkf6windowsystem-dev,
                libx11-dev,
                libxfixes-dev,
-               lxqt-build-tools (>= 0.13.0)
-Standards-Version: 4.6.2
+               lxqt-build-tools (>= 0.13.0),
+               qt6-svg-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-about-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-about-packaging.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
@@ -37,7 +36,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: qttranslations5-l10n, ${misc:Depends}
+Depends: qt6-translations-l10n, ${misc:Depends}
 Description: Language-package for lximage-qt
  A simple image viewer for LXQt. Additional file formats can be processed if
  one install qt5-image-formats-plugins.

## lximage-qt 2.1.0

=== debian/changelog ===
lximage-qt (2.1.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for lxqt-build-tools C++17 -> C++20.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 03:54:31 -0600

lximage-qt (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:32:14 -0600

=== debian/control ===
Source: lximage-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libexif-dev,
               libfm-qt6-dev (>= 2.1.0),
               libx11-dev,
               libxcb-composite0-dev,
               libxcb-cursor-dev,
               libxcb-damage0-dev,
               libxcb-dpms0-dev,
               libxcb-dri2-0-dev,
               libxcb-dri3-dev,
               libxcb-ewmh-dev,
               libxcb-glx0-dev,
               libxcb-icccm4-dev,
               libxcb-keysyms1-dev,
               libxcb-present-dev,
               libxcb-record0-dev,
               libxcb-render0-dev,
               libxcb-res0-dev,
               libxcb-screensaver0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-xf86dri0-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb-xtest0-dev,
               libxcb-xv0-dev,
               libxcb-xvmc0-dev,
               libxfixes-dev,
               libxkbcommon-dev (>= 0.5.0),
               lxqt-build-tools (>= 2.1.0),
               qt6-svg-dev (>= 6.6.0)
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-about-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-about-packaging.git
Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-about.git
Homepage: https://github.com/lxqt/lximage-qt
Rules-Requires-Root: no

Package: lximage-qt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lximage-qt-l10n, qt6-image-formats-plugins
Description: Image viewer for LXQt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt5-image-formats-plugins.
 .
 This package contain the program files.

Package: lximage-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language-package for lximage-qt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt6-image-formats-plugins.
 .
 This package contains the l10n files needed by the lximage-qt.

## lximage-qt 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lximage-qt)

include(GNUInstallDirs)

set(MAJOR_VERSION 2)
set(MINOR_VERSION 1)
set(PATCH_VERSION 1)
set(LXIMAGE_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})

set(LXQTBT_MINIMUM_VERSION "2.1.0")
set(LIBFMQT_MINIMUM_VERSION "2.1.0")
set(QT_MINIMUM_VERSION "6.6.0")


set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6Network ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6DBus ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6PrintSupport ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6SvgWidgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6Svg ${QT_MINIMUM_VERSION} REQUIRED)
find_package(fm-qt6 ${LIBFMQT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
find_package(Exif REQUIRED)
message(STATUS "Building with Qt ${Qt6Core_VERSION}")

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

# TODO: make the X11 stuff optional.
# for screenshot support
find_package(X11 REQUIRED)

find_package(PkgConfig REQUIRED)
# Xfixes is needed to capture the mouse cursor image
pkg_check_modules(XFIXES REQUIRED xfixes)

# add src subdirectory
add_subdirectory(src)

# install icon and metainfo for the application
install(FILES data/lximage-qt.svg
    DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/48x48/apps")
install(FILES data/lximage-qt.metainfo.xml
    DESTINATION "${CMAKE_INSTALL_DATADIR}/metainfo")

=== debian/changelog ===
lximage-qt (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * debian/copyright: update.

 -- Macy Lin <macy@debconf.org>  Tue, 04 Feb 2025 18:03:36 +0100

lximage-qt (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 06 Dec 2024 04:53:43 +0800

lximage-qt (2.0.1-1) unstable; urgency=medium

  * Run wrap-and-sort.
  * debian/copyright: added myself.
  * Team upload to unstable.

 -- Macy Lin <macy@debconf.org>  Mon, 02 Dec 2024 11:02:16 +0100

lximage-qt (2.0.1-1~exp2) experimental; urgency=medium

  * debian/control: fix description.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 01 Oct 2024 15:13:40 +0200

lximage-qt (2.0.1-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.0.1
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: bump dep qt5-image-formats-plugins -> qt6-image-
    formats-plugins
  * debian/control: bump dep on lxqt-build-tools (>= 2.0.0+really2.0.0~)
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on libqt5svg5-dev -> qt6-svg-dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: bump dep on libfm-qt-dev (>= 2.0.2~)
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev

  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: build against to experimental.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 22 Sep 2024 13:57:05 +0200

lximage-qt (1.4.0-3) unstable; urgency=medium

  [ Macy Lin ]
  * debian/control: build-deps on qttools5-dev. (Closes:#1078289)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 08 Sep 2024 13:29:41 +0200

lximage-qt (1.4.0-2) unstable; urgency=medium

  * Merge to unstable.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 10 May 2024 07:29:24 +0800

lximage-qt (1.4.0-1) experimental; urgency=medium

  * New upstream version 1.4.0.
  * debian/control: build-deps on libfm-qt-dev (>= 1.4.0~).
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 12 Dec 2023 15:11:11 +0100

lximage-qt (1.3.0-3) unstable; urgency=medium

  * Suppress blhc errors.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 11 Sep 2023 23:33:08 +0800

lximage-qt (1.3.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 27 Jul 2023 09:04:53 +0800

lximage-qt (1.3.0-1) experimental; urgency=medium

  * New upstream releases.
  * Bump Standards-Version to 4.6.2.
  * Change team email to <team+lxqt@tracker.debian.org>.
  * Update d/copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 19 Jun 2023 18:33:39 +0800

lximage-qt (1.2.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 02 Dec 2022 13:16:18 +0800

lximage-qt (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove unnecessary patch.
  * Fix d/watch for GitHub.
  * Sort d/copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 30 Nov 2022 22:07:50 +0800

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,6 @@
 	dh_auto_configure -- \
 		-DUPDATE_TRANSLATIONS=OFF\
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
+
+execute_before_dh_auto_build:
+	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI[.]cpp.*"

## lximage-qt 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,12 @@
 include(GNUInstallDirs)
 
 set(MAJOR_VERSION 2)
-set(MINOR_VERSION 1)
-set(PATCH_VERSION 1)
+set(MINOR_VERSION 2)
+set(PATCH_VERSION 0)
 set(LXIMAGE_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 
-set(LXQTBT_MINIMUM_VERSION "2.1.0")
-set(LIBFMQT_MINIMUM_VERSION "2.1.0")
+set(LXQTBT_MINIMUM_VERSION "2.2.0")
+set(LIBFMQT_MINIMUM_VERSION "2.2.0")
 set(QT_MINIMUM_VERSION "6.6.0")

=== debian/changelog ===
lximage-qt (2.2.0-1) unstable; urgency=medium

  * Migrate to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 22 Aug 2025 23:22:53 +0800

lximage-qt (2.2.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.0
  * d/control: Bump Standards-Version to 4.7.2.
  * d/control: Update Build-Depends.
  * d/upstream: Fix signing-key.asc.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 16 Aug 2025 19:43:19 +0800

=== debian/control ===
Source: lximage-qt
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Macy Lin <macy@debconf.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libexif-dev,
               libfm-qt-dev (>= 2.2.0+really2.2.0~),
               libkf6windowsystem-dev,
               libx11-dev,
               libxfixes-dev,
               lxqt-build-tools (>= 2.2.0~),
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/lximage-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/lximage-qt.git
Homepage: https://github.com/lxqt/lximage-qt
Rules-Requires-Root: no

Package: lximage-qt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lximage-qt-l10n, qt6-image-formats-plugins
Description: Image viewer for LXQt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt6-image-formats-plugins.
 .
 This package contain the program files.

Package: lximage-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language-package for lximage-qt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt6-image-formats-plugins.
 .
 This package contains the l10n files needed by the lximage-qt.

## lximage-qt 2.3.0

=== debian/changelog ===
lximage-qt (2.3.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 31 Dec 2025 18:03:21 +0800

lximage-qt (2.3.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.3.0.
  * d/watch: Upgrade to version 5.
  * d/control: Update Build-Depends.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 20 Nov 2025 10:31:33 +0800

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libexif-dev,
-               libfm-qt-dev (>= 2.2.0+really2.2.0~),
+               libfm-qt-dev (>= 2.3.0~),
                libkf6windowsystem-dev,
                libx11-dev,
                libxfixes-dev,
-               lxqt-build-tools (>= 2.2.0~),
+               lxqt-build-tools (>= 2.3.0~),
                qt6-svg-dev,
                qt6-tools-dev
 Standards-Version: 4.7.2
